// 字段名称验证
export function columnName (rule, value, callback) {
  const reg = /^[_a-zA-Z]+$/
  if (!value) {
    callback(new Error('请输入字段名称'))
  } else if (!reg.test(value)) {
    callback(new Error('请输入英文字母以及下划线'))
  } else {
    callback()
  }
}

// 中文名称验证
export function columnChnName (rule, value, callback) {
  const reg = /^[\u4e00-\u9fa5]+$/
  if (!value) {
    callback(new Error('请输入中文名称'))
  } else if (!reg.test(value)) {
    callback(new Error('请输入中文'))
  } else {
    callback()
  }
}

export default {
  columnName: [{ required: true, validator: columnName, trigger: 'blur' }],
  columnChnName: [{ required: true, validator: columnChnName, trigger: 'blur' }]
}
